Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001383I6 LibraryGeneralpublic2014-08-04 16:512015-05-10 17:46
ReporterDavidG 
Assigned ToDavidG 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6/12 
Target Version6/12Fixed in Version6/12 
Summary0001383: "TAKE TWO ROCKS" from a pile of many fails
DescriptionSuppose you have a pile of indistinguishable objects. TAKE TWO ROCKS should cause the PC to take two rocks from the pile. Sometime in the development of 6/12, this broke causing this to be printed instead "You can't see any such thing.".
Minimal Source Text To Reproduce
Class Rock
        with name "rock" "rocks//p",
        short_name "rock",
        plural "rocks";

Rock ->;
Rock ->;
Rock ->;
Rock ->;
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003122)
DavidG (developer)
2014-08-28 20:15

Fixed: https://github.com/DavidGriffith/inform6lib/commit/29ab1356f4792817cf496847ca3964ce8925b7d8 [^]
(0003460)
jmcgrew (administrator)
2015-05-10 17:46

Closing all resolved issues from 2014 and earlier.

- Issue History
Date Modified Username Field Change
2014-08-04 16:51 DavidG New Issue
2014-08-04 16:54 DavidG Assigned To => DavidG
2014-08-04 16:54 DavidG Status new => confirmed
2014-08-04 16:55 DavidG Summary "TAKE THREE THINGS" fails => "TAKE TWO ROCKS" from a pile of many fails
2014-08-28 20:15 DavidG Status confirmed => assigned
2014-08-28 20:15 DavidG Note Added: 0003122
2014-08-28 20:15 DavidG Status assigned => resolved
2014-08-28 20:15 DavidG Fixed in Version => 6/12
2014-08-28 20:15 DavidG Resolution open => fixed
2015-05-10 17:46 jmcgrew Note Added: 0003460
2015-05-10 17:46 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker